[signal, states, params] = load_bcidat('/home/jph/Uni/Masterarbeit/Block1_ReachingMovements/AO/AO_B1001/AO_B1S001R01.dat');

% [ splitSignals, code ] = cutAll( states, signal );
[ splitSignals, code ] = cutWindows( states, signal, params, 1);

NFFT=2048; % should be 2^n

[ filteredSig, pwMeanMove, pwMeanRest,hz ] = myFilter( splitSignals,code,NFFT );

%plotChannelProzDiff(pwMeanMove,pwMeanRest,hz,params);
%plotChannels(pwMeanMove,hz,params);
plotImgScProzDiff( pwMeanMove, pwMeanRest)

% figure
% subplot(2,1,1)
% plot(log(pwMeanMove))
% xlim([0 150])
% %ylim([-2 6])
% subplot(2,1,2)
% plot(log(pwMeanRest))
% xlim([0 150])
% %ylim([-2 6])

    